### Virtual Method

# Meta Plugin create_inhibit_shortcuts_dialog

#### Declaration [src]

    MetaInhibitShortcutsDialog*
    create_inhibit_shortcuts_dialog (
      MetaPlugin* plugin,
      MetaWindow* window
    )

#### Description [src]

Virtual function called to create a “inhibit shortcuts” dialog when a client requests compositor shortcuts to be inhibited.

#### Parameters

`window`

  Type: `MetaWindow`

  A `MetaWindow`.

  The data is owned by the caller of the method.

#### Return value

Type: `MetaInhibitShortcutsDialog`

A `MetaInhibitShortcutsDialog`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.